[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ImageListCache' (#lcl)

# TImageListCache.UnregisterListener

Removes the specified cache listener from the internal list.

## Declaration

Source position: imagelistcache.pas line 75

`public procedure TImageListCache.UnregisterListener(`
`AListener: IImageCacheListener`
`);`

## Arguments

`AListener` |  | Cache listener removed from the list.

## Description

UnregisterListener is a method used to remove the specified cache listener from the internal list in the class instance. If AListener exists in the interface list, the UnregisterBitmaps method is called and the listener is removed from the list.

When the number of listeners in the list reaches 0, the TImageListCache singleton used for the image list cache is set to Nil.

## See also

IImageCacheListener |  | Interface that cache user should have to listen for cache changes.
TInterfaceList